Loading...
Searching...
No Matches
Opm::UDQScalarFunction Class Reference
Inheritance diagram for Opm::UDQScalarFunction:

## Public Member Functions

| UDQScalarFunction (const std::string &name, std::function< UDQSet(const UDQSet &arg)> f)
UDQSet | eval (const UDQSet &arg) const
Public Member Functions inherited from Opm::UDQFunction
| UDQFunction (const std::string &name)
| UDQFunction (const std::string &name, UDQTokenType funcType)
const std::string & | name () const
UDQTokenType | type () const
bool | operator== (const UDQFunction &data) const

## Static Public Member Functions

static UDQSet | SUM (const UDQSet &arg)
static UDQSet | AVEA (const UDQSet &arg)
static UDQSet | AVEG (const UDQSet &arg)
static UDQSet | AVEH (const UDQSet &arg)
static UDQSet | UDQ_MIN (const UDQSet &arg)
static UDQSet | UDQ_MAX (const UDQSet &arg)
static UDQSet | NORM1 (const UDQSet &arg)
static UDQSet | NORM2 (const UDQSet &arg)
static UDQSet | NORMI (const UDQSet &arg)
static UDQSet | PROD (const UDQSet &arg)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQFunction.hpp
- opm/input/eclipse/Schedule/UDQ/UDQFunction.cpp